0
$\begingroup$

Rosanswers logo

I have the following ubuntu and ros version:

Distributor ID: Ubuntu
Description:    Ubuntu 16.04.4 LTS
Release:    16.04
Codename:   xenial

rosversion -d
kinetic

I am trying to install required packages, first I did an update:

sudo apt-get update
sudo apt-get upgrade

Then did:

sudo apt-get install ros-kinetic-joy ros-kinetic-teleop-twist-joy ros-kinetic-teleop-twist-keyboard ros-kinetic-laser-proc ros-kinetic-rgbd-launch ros-kinetic-depthimage-to-laserscan ros-kinetic-rosserial-arduino ros-kinetic-rosserial-python ros-kinetic-rosserial-server ros-kinetic-rosserial-client ros-kinetic-rosserial-msgs ros-kinetic-amcl ros-kinetic-map-server ros-kinetic-move-base ros-kinetic-urdf ros-kinetic-xacro ros-kinetic-compressed-image-transport ros-kinetic-rqt-image-view ros-kinetic-gmapping ros-kinetic-navigation ros-kinetic-interactive-markers
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package ros-kinetic-joy
E: Unable to locate package ros-kinetic-teleop-twist-joy
E: Unable to locate package ros-kinetic-teleop-twist-keyboard
E: Unable to locate package ros-kinetic-laser-proc
E: Unable to locate package ros-kinetic-depthimage-to-laserscan
E: Unable to locate package ros-kinetic-rosserial-arduino
E: Unable to locate package ros-kinetic-rosserial-python
E: Unable to locate package ros-kinetic-rosserial-server
E: Unable to locate package ros-kinetic-rosserial-client
E: Unable to locate package ros-kinetic-rosserial-msgs
E: Unable to locate package ros-kinetic-amcl
E: Unable to locate package ros-kinetic-map-server
E: Unable to locate package ros-kinetic-move-base
E: Unable to locate package ros-kinetic-gmapping
E: Unable to locate package ros-kinetic-navigation

The content from /et/apt/sources.list.d/ros-latest.list is

  deb http://packages.ros.org/ros/ubuntu xenial main

How do I get these pacakges installed. Any help is highly appreciated!


Originally posted by engineerdream on ROS Answers with karma: 16 on 2018-03-09

Post score: 0


Original comments

Comment by nrparikh on 2018-03-09:
Did you try sudo apt-get update first before trying to install packages?

Comment by engineerdream on 2018-03-09:
yes, I did (just updated) but still have the issue

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

The solution I found was to remove ros completely and reinstall

sudo apt-get remove ros-*

sudo apt-get update
$ sudo apt-get upgrade
$ wget https://raw.githubusercontent.com/ROBOTIS-GIT/robotis_tools/master/install_ros_kinetic.sh && chmod 755 ./install_ros_kinetic.sh && bash ./install_ros_kinetic.sh

Originally posted by engineerdream with karma: 16 on 2018-03-09

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by tfoote on 2018-03-09:
That removal was likely not necessary and only removed the main packages. But rerunning the install script probably fixed your apt sources somehow.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.